{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}


<link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all"/>

{% block content %}
<html>
<link href="{% static 'style/todolist.css'%}" rel="stylesheet" type="text/css"/>
<link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all"/>

{% block scripts %}

<script>

$(document).ready(function(){
$("input").prop('required',true);
$("select").prop('required',true);
if ($("#id_pie").val() == "TRUE"){
    $("#myChart").show();
    $("#free_start").show();
    $("#free_end").show();
    $("#project_start").show();
    $("#project_end").show();
    $("#selected_dates").show();

}
else {
    $("#myChart").hide();
    $("#free_start").hide();
    $("#free_end").hide();
    $("#project_start").hide();
    $("#project_end").hide();
    $("#selected_dates").hide();
}



            var ctx = document.getElementById('myChart').getContext('2d');
        var myChart = new Chart(ctx, {
            type: 'pie',
            data: {
                labels: {{labels|safe}},
                datasets: [{
                    label: '# of Votes',
                    data: {{data|safe}},
                    backgroundColor: [
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(54, 162, 235, 0.2)',
                        'rgba(255, 206, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                        'rgba(153, 102, 255, 0.2)',
                        'rgba(255, 159, 64, 0.2)'
                    ],
                    borderColor: [
                        'rgba(255, 99, 132, 1)',
                        'rgba(54, 162, 235, 1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                        'rgba(153, 102, 255, 1)',
                        'rgba(255, 159, 64, 1)'
                    ],
                    borderWidth: 1
                }]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
<!--                            beginAtZero: true-->
                            display: false
                        }

                    }]
                }
            }
        });

});






</script>
{% endblock scripts %}
 <h1>Assignments</h1>
<div style="position:relative;">
    <form action="" method="post" id="myForm" name="myForm" class="form-group" >
        <input type="hidden" name="form_type" value="myForm">
        {% csrf_token %} <!-- csrf token for basic security -->
        {{ form|crispy }}

        <div class="row">
            <button class="taskAdd" name="Project" type="button" id="showProjects"><i class="fa fa-plus icon"></i>Assign
                employee to a project
            </button>
            <button class="taskAdd" name="Employee" type="button" id="workload"><i class="fa fa-plus icon"></i>Employee
                workload
            </button>
        </div>
        <div class="inputContainer" id="employees_id" style="">
            <i class="fa fa-caret-down selectArrow"></i>
            <select class="taskCategory" style="width: 100%;" name="employee_select" id="employee_select" >
                <option class="disabled" value="">Choose an employee</option>
                {% for employee in employees %}


                <option class="" value="{{employee.id}}"
                        name="{{employee.id}}">{{employee.lastname}} {{employee.firstname}}

                </option>

                {% endfor %}
            </select>

        </div>

        <div class="inputContainer" style="">
            <i class="fa fa-caret-down selectArrow"></i>
            <select id="projects_id" class="taskCategory" style="width: 100%;" name="project_select" >
                <option class="disabled" value="">Choose a project</option>
                {% for project in projects %}

                <option class="" value="{{project.id}}"
                        name="{{project.id}}">{{project.name}}
                </option>

                {% endfor %}
            </select>

        </div>
        <br/>

    </form>

    <form action="" method="post" id="WorkloadForm" class="form-group">
        <input type="hidden" name="form_type" value="WorkloadForm">
        <input type="hidden" name="pie" value="pie">
        <input type="hidden" id="id_pie" value="{{show_pie}}">
        {% csrf_token %}
        <div class="inputContainer" id="employees_workload_id" style="position: absolute; top:120px; width: 100%;">
            <i class="fa fa-caret-down selectArrow"></i>
            <select class="taskCategory" style="width: 100%;" name="employee_select_workload" id="employee_select_workload">
                <option class="disabled" value="">Choose an employee</option>
                {% for employee in employees %}


                <option class="" value="{{employee.id}}"
                        name="{{employee.id}}">{{employee.lastname}} {{employee.firstname}}

                </option>

                {% endfor %}
            </select>

        </div>
        <div class="inputContainer" id="date_id" style="overflow: visible;">
            <span style="color: #B0B0B0;">Start Date:</span>
            <input type="date" name="start_date" autofocus="" autocapitalize="none" autocomplete="start_date"
                   maxlength="150" class="textinput
        textInput form-control" id="id_start_date"/>
            <span style="color: #B0B0B0;">End Date:</span>
            <input type="date" name="end_date" autofocus="" autocapitalize="none" autocomplete="end_date"
                   maxlength="150" class="textinput
        textInput form-control" id="id_end_date" /> <br/>

        </div>


        <div class="row">
            <button type="button" id="ProjectAdd" class="taskAdd" name="ProjectAdd" style=" margin-top: 30px"><i
                    class="fa fa-plus icon"></i>Submit
            </button>

            <button class="taskAdd" name="Search" type="button" id="search" style=" margin-top: 100px"><i
                    class="fa fa-plus icon"></i>Search
            </button>
        </div>

    </form>
</div>

<div>  <h2>{{employee_workload.lastname}} {{employee_workload.firstname}}</h2><br/></div>

<canvas id="myChart" width="400" height="400"></canvas>
<span><br/></span>

<table class="customers" id="selected_dates">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Selected start
            date
        </th>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Selected end
            date
        </th>
    </tr>
    <tr>
        <td style="border: 1px solid #ddd; padding: 8px;">{{start_date}}</td>
        <td style="border: 1px solid #ddd; padding: 8px;">{{end_date}}</td>
    </tr>
</table>

<table class="customers" style="float: left; width: 50%" id="free_start">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Available start
            date
        </th>
    </tr>
    {% for start in project_start_available %}
    <tr>
        <td style="border: 1px solid #ddd; padding: 8px;">{{start}}</td>
    </tr>
    {% endfor %}

</table>

<table class="customers" style=" width: 50%;" id="free_end">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Available end date
        </th>
    </tr>

    {% for end in project_end_available %}
    <tr>
        <td style="border: 1px solid #ddd; padding: 8px;">{{end}}</td>
    </tr>
    {% endfor %}

</table>


<table class="customers" style="float: left; width: 50%" id="project_start">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Project Name
        </th>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Project start
            date
        </th>
    </tr>
    {% for project in projects_workload %}
    <tr>
        <td style="border: 1px solid #ddd; padding: 8px;">{{project.name}}</td>
        <td style="border: 1px solid #ddd; padding: 8px;">{{project.start_date}}</td>
    </tr>
    {% endfor %}

</table>

<table class="customers" style=" width: 50%;" id="project_end">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Project end date
        </th>
    </tr>

    {% for project in projects_workload %}
    <tr>

        <td style="border: 1px solid #ddd; padding: 8px;">{{project.end_date}}</td>
    </tr>
    {% endfor %}

</table>


{% endblock %}

{%block sidebar %}
{% include 'menu.html' %}
{% endblock %}